/*
The MIT License

Copyright 2018 Web Folders (Pty) Ltd.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

/* ============================================================ *
 *  sidebar.css                                                 *
 * ------------------------------------------------------------ *
 *  Created on  : May 29, 2018, 17:40:00 AM                     *
 *  Author      : Reinhardt Zundorf                             *
 *  Owner       : Web Folders (Pty) Ltd                         *
 *  Project     : Blown Away By Books                           *
 *  Website     : Blog                                          *
 * ------------------------------------------------------------ */

/* ============================================================ *
 * Sidebar                                                      *
 * ------------------------------------------------------------ */
.sidebar
{
    /*background-color:               rgba(196, 166, 185, 1);*/ /* grayish pink */
    /*box-shadow:                     0px 0px 4px 2px rgba(0, 0, 0, 0.1);*/
    /*background-color:               rgba(166, 120, 148, 0.75);*/
    background-color:               #efefef;
    margin-bottom:                  10px;
    margin-right:                   0px;
    margin-left:                    0px;
    font-size:                      10px;
    font-family:                    "Open Sans";
    color:                          #444444;
    line-height:                    1;
    padding:                        0px;
}

.sidebar header.sidebar-header,
header.sidebar-header
{
    /*background-size:                auto;*/
    background-color:               rgba(166, 120, 148, 0.3);
}

.sidebar:first-of-type
{
    margin-top:                     0px;
}

.sidebar img
{
    display:                        flex;
    align-items:                    center;

}

.sidebar-footer
{
    padding:                        0px;
    background-color:               rgba(255, 255, 255, 0.3);
}

.sidebar-footer .btn
{
    margin:                         0px;
    display:                        block;
}

.sidebars
{
    margin:                         0px 0px 0px 0px;
}

.sidebar-festival
{
    /*background:                     rgba(255, 255, 255);*/
}


/* ================================================== *
 * Sidebar Headers                                    *
 * -------------------------------------------------- */
.sidebar-festival header.sidebar-header
{
    background-color:               rgba(255, 255, 255, 0.4);
}

.sidebar-subscribe header.sidebar-header
{
    background-color:               rgba(148, 166, 120, 0.5);
}

.sidebar-facebook header.sidebar-header
{
    background-color:               rgba(59, 89, 152, 0.4);
}

.sidebar-map header.sidebar-header
{
    /*background-color:               rgba(135, 176, 151, 0.5);*/
    background-color:               rgba(110, 224, 224, 0.5);
}



.sidebar a
{
    /*color:                          rgba(166, 120, 148, 1);*/
    color:                          #444;
    font-size:                      12px !important;
}

.sidebar p
{
    margin-top:                     10px;
    margin-bottom:                  10px;
    font-size:                      11px;
}

.sidebar h4 + p
{
    margin-top:                     -2px;
}

/*.sidebar .btn*/

.sidebar a:hover
{
    text-decoration:                underline;
}

.sidebar h3, 
.sidebar .h3
{
    color:                      #222;
    font-size:                  12px !important;
    font-weight:                700;
    text-transform: uppercase;
    margin-bottom:              3px;    
}

.sidebar input[type="email"]
{
    font-size:                  11px;
    text-align:                 left;
}

.sidebar h4,
.sidebar .h4
{
    color:                      rgb(126,  83, 109);
    font-size:                  12px;
    font-weight:                600;
    padding-bottom:             0px;
}

.sidebar .btn
{
    margin-top:                 15px;
    margin-bottom:              15px;
    border-radius:              0%;
}

.sidebar .btn
{
    color:                      #fff;
    padding:                    6px 10px 6px 10px;
}

.sidebar .btn .btn-info a:hover
{
    color:                      #999999;
}

/* ============================================================ *
 * Sidebar Headers                                              *
 * ------------------------------------------------------------ */
.sidebar-header,
.sidebar-event .sidebar-header
{
    background-color:               rgba(166, 120, 148, 0.5) ;
    color:                      #555555;
    margin:                     0px;
    padding:                    6px;
    padding-top:                12px;
    padding-bottom:             8px;
    padding-left:               15px;
    border-radius:              2.5%;
}

.sidebar-events .sidebar-header
{
    /*background-color:           rgba(135, 176, 151, 0.2);*/
}

.sidebar input
{
    background-color:           #fff;
    width:                      100%;
}

/* ============================================================ *
 * Sidebar Event                                                *
 * ------------------------------------------------------------ */
.sidebar-event:last-of-type
{
    margin-bottom:              30px;
}

.sidebar-event h5, 
.sidebar-event .h5
{
    color:                      #a67894;
    font-size:                  13px;
    font-weight:                500;
    margin-bottom:              5px;
}


.sidebar-body
{
    /*background-color:           rgba(255, 255, 255, 0.75);*/
    background-color:           #ededed;
    padding:                    14px;
}

/*.sidebar-events header*/
.sidebar-events 
{
    /*padding:                    0px;*/
    /*background-color:           rgba(148, 166, 120, 0.2) !important;*/
    /*background-color:           rgba(166, 120, 148, 0.3) !important;*/
}

.sidebar-event
{
    background-color:           rgba(255, 255, 255, 0.8);
    border-top:                 3px solid #ededed;
    margin:                     0px !important;
    line-height:                1;
}

.sidebar-event-top
{
    background-color:           #fff;
    margin:                     0px auto;
    padding:                    0;
}

.sidebar-event-top img
{
    width:                      75%;
    align-content:              center;
}

.sidebar-event-body
{
    padding:                    20px;
    padding-top:                10px;
    padding-bottom:             0px;
}

.sidebar-event:first-of-type
{
    border-top:                 none;
}

.sidebar-event .sidebar-btn-group
{
    /*display:                    flex;*/
    /*justify-content:            center;*/
}

.sidebar-event .btn
{
    /*width:                      100%;*/
    /*background:                 none;*/
    font-size:                  11px;
    padding:                    5px;
    padding-top:                3px;
    padding-bottom:             3px;
    color:                      #fff;
    border-radius:              0%;
}

.sidebar-event-footer .btn i
{
    width:                      25px;
}

.sidebar-event .btn:hover
{
    color:                      #fff;
}

.sidebar-event .btn:hover
{
    /*background-color:           tomato;*/
}

.sidebar-event-footer
{
    margin:                     0px;
    padding-right:              10px;
    padding-top:                0px;
    padding-bottom:             5px;
    border-bottom:              4px solid rgba(166, 120, 148, 0.8);
    /*background-color:           rgb(118, 118, 255);*/
    /*    border-bottom-left-radius:  2%;*/
    /*border-bottom-right-radius: 2%;*/
}

.sidebar-event-footer
{
    text-align:                 right;
    width:                      100%;
}

.sidebar-event-footer a:hover
{

}

.sidebar-social-media
{

}

.sidebar-social-media li
{
    margin:                     0px;
    margin-right:               30px;
}

.sidebar-social-media i
{
    width:                      35px;
    font-size:                  30px;
}


.sidebar-about
{
    /*background-color:           rgba(120, 166, 138, 0.9) !important;*/
}

.sidebar-newsletter input
{
    font-size:                  12px;
    text-align:                 left;
}

.sidebar-festival
{
    /*background:                 rgba(255, 255, 255, 0.4);*/
}

.sidebar-festival-wrapper .sidebar-header
{
    /*     background-color:           rgba(166, 120, 148, 0.4); */
    background-color:           rgba(166, 120, 148, 0.5);
    border-radius:              5%;
    /*border-top-left-radius:     12.3%;*/
}

.sidebar-festival-wrapper
{
    background-image:           url("../../res/textures/texture-stripes-3.png");
    background-repeat:          repeat;
    background-position:        bottom;
    /*border-radius:              3%;*/
}

.sidebar-wrapper
{
    background-image:           url("../../res/textures/texture-stripes-3.png");
    /*border-radius:              3%;*/
}

.sidebar-map .sidebar-body
{
    padding:                    0px;
}

.sidebar-map .sidebar-body p
{
    padding:                    14px;
    padding-top:                0px;
}


.sidebar-icon
{
    background-image:           url(../../res/icons/icon-book-lg.png);
    width:                      24px;
    height:                     24px;
    margin-top:                 8px;
    margin-bottom:              0px;
}

.card img
{
    width:                          160px;
    /*height:                         195px;*/
    padding:                        0px;
    margin:                        0px;
}

.card 
{
    padding:                        0px;
}

/* ============================================================ *
 * Sidebar Search                                               *
 * ------------------------------------------------------------ */
/* 
    #86c5da very soft cyan
    #add8e6 light blue 
    #c1e1ec light grayish blue
*/

.sidebar-search
{
    /*background-color:               rgba(166, 120, 148, 0.25);*/
    background-color:               #add8e6; /* light blue #c1e1ec */
    
    padding:                        0px;
}

.sidebar input[type="search"]
{
    background-color:               rgba(255, 255, 255,  0.55);
    /*height:                         30px;*/
    width:                          170px;
    /*padding-left:                   10px;*/
    /*padding-right:                  20px;*/
    font-size:                      12px;
    border-radius:                  0%;
    margin:                         12px;
}

.sidebar input[type="search"]:active
{
    box-shadow: none;
    border:none;
}

.sidebar button i 
{
    width: 20px;
}

.sidebar button[type="submit"]
{
    /*background-color:               rgba(166, 120, 148, 1);*/
    /*height:                         30px;*/
    /*width:                          30px;*/
    /*padding:                        3px;*/
    /*color:                          #fff;*/
    /*border:                         none;*/
    /*border:                         2px solid rgba(166, 120, 148, 0.8);*/
    border-radius:                  5%;
    
    /*margin-left:                    0px;*/
}
